Subject: Re: Pure storage overflow warning in *GNU Emacs* buffer when [email-masked] is invoked

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 24 Oct 2021 18:20:11 +0200

Hi,

Am Samstag, den 23.10.2021, 20:31 -0700 schrieb Calvin Heim:
> In [email-masked], a warning appears about pure storage overflow in the
> *GNU Emacs*
> buffer that displays at startup. My main concern is that I'm not sure
> if Emacs's garbage collection is working or not, so I have been
> hesitant to upgrade from version 26.3.
> 
> Steps to reproduce (with output):
> 
> -----8<---begin-snippet---8<--------------------
> 
> $ guix environment -C --pure --preserve=TERM --user=foo --no-cwd --
> ad-hoc emacs
> 
> $ emacs -nw --batch --eval="(progn (display-about-screen)(message
> \"%s\"
> (buffer-substring-no-properties 1 122)))"
> 
> Warning Warning!!!  Pure space overflow    !!!Warning Warning
> (See the node Pure Storage in the Lisp manual for details.)
> 
> -----8<---end-snippet---8<--------------------
> 
> I am using Guix on a foreign distribution (Trisquel 9).
> 
> $ guix describe
> guix 075c9f1
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 075c9f12696d23bc86999b7a9ed567f38715e00a
> 
> The corresponding [email-masked] store item is
> /gnu/store/n1zvyjk8hm51793ap5ikvzvq15lxkhrg-emacs-27.2
> 
> $ uname -i
> i686
So for me on an x86_64 machine with Guix commit
7628430a2f46a4a57d5ff7e51b1be80b7765c96c, this snippet displays

--8<---------------cut here---------------start------------->8---
This is GNU Emacs, one component of the GNU/Linux operating system.

GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ V
--8<---------------cut here---------------end--------------->8---

Your version is not that much newer than mine, so it's probably an
issue specific to i686 (or perhaps other non-x86 architectures too).

Regards,
Liliana